summaryrefslogtreecommitdiff
path: root/openembedded/scripts
diff options
context:
space:
mode:
authorFathi Boudra <fathi.boudra@linaro.org>2013-04-10 14:59:43 +0300
committerFathi Boudra <fathi.boudra@linaro.org>2013-04-10 14:59:43 +0300
commit670b95c458e74117d1b4b0a318e931dc45a3a853 (patch)
treeab859d29780790ec3da4466bade95e42a2e19ba6 /openembedded/scripts
parentf0c680dd4d731143cd616536c708852f0f6cc17b (diff)
Rename oe directory to openembedded
Signed-off-by: Fathi Boudra <fathi.boudra@linaro.org>
Diffstat (limited to 'openembedded/scripts')
-rwxr-xr-xopenembedded/scripts/busybox.sh32
-rwxr-xr-xopenembedded/scripts/ethernet.sh34
-rwxr-xr-xopenembedded/scripts/kernel-version.sh33
-rwxr-xr-xopenembedded/scripts/mysql.sh33
-rwxr-xr-xopenembedded/scripts/toolchain.sh33
5 files changed, 165 insertions, 0 deletions
diff --git a/openembedded/scripts/busybox.sh b/openembedded/scripts/busybox.sh
new file mode 100755
index 0000000..c43a8bc
--- /dev/null
+++ b/openembedded/scripts/busybox.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Busybox test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+OUT=`busybox ls /proc`
+if [ -n "$OUT" ]
+then
+ echo "busybox: pass"
+ exit 0
+else
+ echo "busybox: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/ethernet.sh b/openembedded/scripts/ethernet.sh
new file mode 100755
index 0000000..a9e4519
--- /dev/null
+++ b/openembedded/scripts/ethernet.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Ethernet test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+ifconfig eth0 > ethernet.log
+ifconfig eth0 | grep 'inet addr' | awk -F: '{print $2}' | awk '{print $1}'
+
+if [ 0 -eq $? ]
+then
+ echo "ethernet: pass"
+ exit 0
+else
+ echo "ethernet: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/kernel-version.sh b/openembedded/scripts/kernel-version.sh
new file mode 100755
index 0000000..7909dbf
--- /dev/null
+++ b/openembedded/scripts/kernel-version.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Kernel Version test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+uname -a | grep `uname -r` > kernel-version.log
+
+if [ 0 -eq $? ]
+then
+ echo "kernel-version: pass"
+ exit 0
+else
+ echo "kernel-version: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/mysql.sh b/openembedded/scripts/mysql.sh
new file mode 100755
index 0000000..2a9a4f1
--- /dev/null
+++ b/openembedded/scripts/mysql.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Ethernet test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+mysql -u root -e 'show databases' > mysql.log
+
+if [ 0 -eq $? ]
+then
+ echo "mysql: pass"
+ exit 0
+else
+ echo "mysql: fail"
+ exit 1
+fi
diff --git a/openembedded/scripts/toolchain.sh b/openembedded/scripts/toolchain.sh
new file mode 100755
index 0000000..14baec3
--- /dev/null
+++ b/openembedded/scripts/toolchain.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Toolchain test.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+#
+
+cat /proc/version | grep -i "gcc.*linaro" > toolchain.log
+
+if [ 0 -eq $? ]
+then
+ echo "toolchain: pass"
+ exit 0
+else
+ echo "toolchain: fail"
+ exit 1
+fi